package org.springframework.boot.loader.jarmode;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.List;
import org.springframework.boot.loader.jarmode.JarMode;
import org.springframework.core.io.support.SpringFactoriesLoader;
import org.springframework.util.ClassUtils;

public final class JarModeLauncher {
  static final String DISABLE_SYSTEM_EXIT = org.springframework.boot.loader.jarmode.JarModeLauncher.class.getName() + ".DISABLE_SYSTEM_EXIT";
  
  public static void main(String[] args) {
    String mode = System.getProperty("jarmode");
    List<JarMode> candidates = SpringFactoriesLoader.loadFactories(JarMode.class, 
        ClassUtils.getDefaultClassLoader());
    for (JarMode candidate : candidates) {
      if (candidate.accepts(mode)) {
        candidate.run(mode, args);
        return;
      } 
    } 
    System.err.println("Unsupported jarmode '" + mode + "'");
    if (!Boolean.getBoolean(DISABLE_SYSTEM_EXIT))
      System.exit(1); 
  }
}
